 

C...Double precision and integer declarations.
      IMPLICIT DOUBLE PRECISION(A-H, O-Z)
      INTEGER PYK,PYCHGE,PYCOMP
      dimension ijoin(2)
C...EXTERNAL statement links PYDATA on most machines.
      EXTERNAL PYDATA

C...Commonblocks.
      COMMON/PYJETS/N,NPAD,K(4000,5),P(4000,5),V(4000,5)
      COMMON/PYDAT1/MSTU(200),PARU(200),MSTJ(200),PARJ(200)
      COMMON/PYDAT2/KCHG(500,4),PMAS(500,4),PARF(2000),VCKM(4,4)
      COMMON/PYSUBS/MSEL,MSELPD,MSUB(500),KFIN(2,-40:40),CKIN(200)
      COMMON/PYPARS/MSTP(200),PARP(200),MSTI(200),PARI(200)
      common/pydat3/mdcy(500,3),mdme(8000,2),brat(8000),kfdp(8000,5)
    
      ejet=10.d0 !initial energy of the parton

C...Number of events.
      NEV=100000
c   switches
      MSTJ(41)=1 ! QCD radiation only
      MSTJ(42)=2 ! 2: angular ordering, 1: no angular ordering
      MSTJ(44)=2 ! options to run alphas: D=fixed alphas(0)
      MSTJ(47)=0 ! no correction back to hard scattering element
      MSTJ(50)=0 ! no coherence in first branching
      PARJ(82)=1.D0 ! cut off for parton showers
      kc=pycomp(111) !select pi0
      mdcy(kc,1)=0  !pi0 decay inhibited
       


      OPEN(70,FILE='e10-qh0l0-had.dat',STATUS='new')

C...Event loop. List first few events.
      DO 1 IEV=1,NEV
c
         N=2
         K(1,1)=1
         K(1,2)=21 ! 1 gluon, for initial quarks it would be 1,2,3,4,5,6
         K(1,3)=0
         K(1,4)=0
         K(1,5)=0
         P(1,1)=0.D0
         P(1,2)=0.D0
         P(1,3)=ejet
         P(1,4)=ejet
         P(1,5)=PYMASS(K(1,2))
         V(1,1)=0.D0
         V(1,2)=0.D0
         V(1,3)=0.D0
         V(1,4)=0.D0
         V(1,5)=0.D0

         K(2,1)=1
         K(2,2)=21 ! 1 gluon, for initial quarks it would be 1,2,3,4,5,6
         K(2,3)=0
         K(2,4)=0
         K(2,5)=0
         P(2,1)=0.D0
         P(2,2)=0.D0
         P(2,3)=-ejet
         P(2,4)=ejet
         P(2,5)=PYMASS(K(1,2))
         V(2,1)=0.D0
         V(2,2)=0.D0
         V(2,3)=0.D0
         V(2,4)=0.D0
         V(2,5)=0.D0

         ijoin(1)=1
         ijoin(2)=2

         call pyjoin(2,ijoin)        
c
         call qpygin0 ! generate initial nucleon-nucleon position.

c         CALL PYSHOW(1,2,2.D0*ejet)
         CALL PYSHOW(1,2,dsqrt(2.D0)*ejet)

         CALL PYEXEC

c         IF(IEV.LE.nev) CALL PYLIST(1)
     

         CALL PYEDIT(5)
c         WRITE(70,*) IEV, N
         DO 2 Iqq=1, N, 1
          if(k(iqq,2).ge.111) then      !writes only mesons and baryons
            WRITE(70,*) P(Iqq,1), P(Iqq,2), P(Iqq,3), P(Iqq,4), P(Iqq,5)
          endif  
 2         CONTINUE

 1    CONTINUE

      call pylist(1)

      CLOSE(70)

C...Final statistics and histograms.
c      CALL PYSTAT(1)


      STOP
      END
